Tweet about this on TwitterDigg thisShare on RedditShare on Google+Share on FacebookEmail this to someoneShare on LinkedIn

Ubuntu/Debian

Install required Perl modules

# apt-get install libnet-pcap-perl libnet-libdnet-perl libnet-libdnet6-perl libexpat-dev
# apt-get install cpanminus

Mac OS X

Install Xcode/MacPorts

Follow https://www.macports.org/install.php .

Install required packages with MacPorts

# port install p5-net-pcap p5-app-cpanminus libdnet

Install required Perl modules

# cpanm Class::Gomor Net::Libdnet Net::Libdnet6

Set environnement variables

For bash shell

Replace 5.16.3 with your Perl version.

$ export PERL5LIB=$PERL5LIB:/opt/local/lib/perl5/vendor_perl/5.16.3/darwin-thread-multi-2level

SinFP3

Install from CPAN

# cpanm Net::SinFP3

Run and enjoy

$ sinfp3.pl -help |less
Tweet about this on TwitterDigg thisShare on RedditShare on Google+Share on FacebookEmail this to someoneShare on LinkedIn

Leave a Reply

Your email address will not be published. Required fields are marked *